> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status

> Get job status.



## OpenAPI

````yaml /openapi.json get /public/v1/offsite-ads/jobs/{job-id}
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/offsite-ads/jobs/{job-id}:
    get:
      tags:
        - Offsite Ads API
      summary: Get Job Status
      description: Get job status.
      operationId: get_offsite_job_status
      parameters:
        - name: job-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the job to retrieve the status for.
          description: The ID of the job to retrieve the status for.
        - name: vendor_id
          in: query
          required: false
          schema:
            description: The ID of the vendor to retrieve the job status for.
            oneOf:
              - type: string
              - type: 'null'
          description: The ID of the vendor to retrieve the job status for.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_JobDetailsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_JobDetailsResponse:
      properties:
        jobId:
          type: string
          format: uuid
          title: Jobid
          description: The unique identifier for the queued job.
        requestType:
          $ref: '#/components/schemas/Advanced_APIs_RequestType'
          description: The type of operation the job represents.
        status:
          $ref: '#/components/schemas/Advanced_APIs_OffsiteJobStatus'
          description: The current status of the job.
        dsp:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicAudienceSyncDsp'
          type: array
          title: Dsp
          description: The DSP(s) associated with the job.
        result:
          title: Result
          description: >-
            Optional result data in json format (e.g., {error: 'error
            message'}).
          oneOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - jobId
        - requestType
        - status
        - dsp
      title: JobDetailsResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_RequestType:
      type: string
      enum:
        - advertiser_creation
        - campaign_creation
        - campaign_update
        - user_list_audience_creation
      title: RequestType
    Advanced_APIs_OffsiteJobStatus:
      type: string
      enum:
        - not_started
        - in_progress
        - completed
        - failed
        - retrying
      title: OffsiteJobStatus
    Advanced_APIs_PublicAudienceSyncDsp:
      type: string
      enum:
        - google_ads
        - meta
        - tiktok_ads
        - snapchat_ads
      title: PublicAudienceSyncDsp
      description: DSPs an offsite audience is synced to.
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````